VERSION 5.00
Begin VB.Form OptProg 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Options"
   ClientHeight    =   4050
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   3600
   ForeColor       =   &H8000000F&
   Icon            =   "OptProg_R.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4050
   ScaleWidth      =   3600
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame frm 
      Caption         =   "Miscellaneous"
      Height          =   735
      Index           =   2
      Left            =   120
      TabIndex        =   11
      Top             =   2760
      Width           =   3375
      Begin VB.CheckBox SoundPlayOpt 
         Caption         =   "Play sound on incoming message"
         Height          =   255
         Left            =   240
         TabIndex        =   12
         Top             =   360
         Width           =   3015
      End
   End
   Begin VB.CommandButton LoadOption 
      Caption         =   "Load"
      Height          =   375
      Left            =   960
      TabIndex        =   2
      Top             =   3600
      Width           =   735
   End
   Begin VB.CommandButton SaveOption 
      Caption         =   "Apply"
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Top             =   3600
      Width           =   735
   End
   Begin VB.CommandButton ResetDefault 
      Caption         =   "Reset"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   3600
      Width           =   735
   End
   Begin VB.Frame frm 
      Caption         =   "Network option"
      Height          =   2535
      Index           =   1
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   3375
      Begin VB.TextBox Portnb 
         Height          =   285
         Left            =   2160
         MaxLength       =   5
         TabIndex        =   10
         Top             =   360
         Width           =   1095
      End
      Begin VB.CommandButton removeall 
         Caption         =   "Remove All"
         Height          =   375
         Left            =   2280
         TabIndex        =   9
         Top             =   2040
         Width           =   975
      End
      Begin VB.CommandButton remove 
         Caption         =   "Remove"
         Height          =   375
         Left            =   1200
         TabIndex        =   8
         Top             =   2040
         Width           =   975
      End
      Begin VB.CommandButton addnew 
         Caption         =   "Add"
         Height          =   375
         Left            =   120
         TabIndex        =   7
         Top             =   2040
         Width           =   975
      End
      Begin VB.ListBox Listportnb 
         Height          =   1230
         Left            =   120
         TabIndex        =   6
         Top             =   720
         Width           =   3135
      End
      Begin VB.Label Lbl 
         Caption         =   "Port to estabish connection:"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   5
         Top             =   360
         Width           =   2055
      End
   End
   Begin VB.CommandButton ReturnCmd 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2640
      TabIndex        =   0
      Top             =   3600
      Width           =   855
   End
End
Attribute VB_Name = "OptProg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub addnew_Click()
   Dim tempportnb As Long
   Dim retcode As Integer
   tempportnb = CLng(Val(Portnb.Text))
   If tempportnb < 0 Or tempportnb > maxportnb Then
      retcode = MsgBox("Invalid port number", vbExclamation, "Error")
      Portnb.SetFocus
   Else
      If Not alreadyin(Listportnb, tempportnb) Then
         Listportnb.AddItem (tempportnb)
      End If
   End If
End Sub

Private Function alreadyin(Listportnbref As ListBox, tempportnb As Long) As Boolean
   Dim i As Long
   alreadyin = False
   For i = 0 To Listportnbref.ListCount - 1
      If CLng(Listportnbref.List(i)) = tempportnb Then
         alreadyin = True
         Exit Function
      End If
   Next i
End Function

Private Sub Form_Unload(Cancel As Integer)
   Call saveports
   Call savesettings
   Call savestartuppos("Option ", Me.Left, Me.Top)
End Sub

Private Sub removeall_Click()
   Listportnb.Clear
End Sub

Private Sub Form_Load()
   Call setcurrent
   Dim startx As Long, starty As Long
   Call loadstartuppos("Option ", startx, starty, Me.Width, Me.Height)
   startx = Me.Left
   starty = Me.Top
End Sub

Private Sub setcurrent()
   Dim i As Long
   Listportnb.Clear
   For i = 1 To UBound(portarray, 1)
      Listportnb.AddItem (portarray(i))
   Next i
   If soundwhenreceive Then
      SoundPlayOpt.Value = 1
   Else
      SoundPlayOpt.Value = 0
   End If
End Sub

Private Sub setdefault()
   Dim i As Long
   Listportnb.Clear
   For i = 1 To UBound(portarraydef, 1)
      Listportnb.AddItem (portarraydef(i))
   Next i
   If def_soundwhenreceive Then
      SoundPlayOpt.Value = 1
   Else
      SoundPlayOpt.Value = 0
   End If
End Sub

Private Sub LoadOption_Click()
   Call setcurrent
End Sub

Private Sub Portnb_KeyDown(KeyCode As Integer, Shift As Integer)
   Select Case KeyCode
      Case vbKeyReturn
         Call addnew_Click     'Envoire le message si le user press "Enter" dans le textbox
   End Select
End Sub

Private Sub Portnb_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 48 To 57 'backspace, 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub remove_Click()
   Dim i As Long
   For i = 0 To Listportnb.ListCount - 1
      If Listportnb.Selected(i) Then
         Listportnb.RemoveItem (i)
         Exit For
      End If
   Next i
End Sub

Private Sub ResetDefault_Click()
   Call setdefault
End Sub

Private Sub ReturnCmd_Click()
   Unload Me
End Sub

Private Sub SaveOption_Click()
   Dim i As Long
   Dim retcode As Integer
   If Listportnb.ListCount - 1 < 0 Then
      retcode = MsgBox("Must add at leat 1 port number", vbExclamation, "Error")
   Else
      ReDim portarray(Listportnb.ListCount)
      For i = 0 To Listportnb.ListCount - 1
         portarray(i + 1) = CLng(Listportnb.List(i))
      Next i
   End If
   If SoundPlayOpt.Value = 1 Then
      soundwhenreceive = True
   Else
      soundwhenreceive = False
   End If
   
   Unload Me
End Sub
