VERSION 5.00
Begin VB.Form OptProg 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Options"
   ClientHeight    =   3330
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   3720
   ForeColor       =   &H8000000F&
   Icon            =   "OptProg_S.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3330
   ScaleWidth      =   3720
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton LoadOption 
      Caption         =   "Load"
      Height          =   375
      Left            =   960
      TabIndex        =   5
      Top             =   2880
      Width           =   735
   End
   Begin VB.CommandButton SaveOption 
      Caption         =   "Apply"
      Height          =   375
      Left            =   1800
      TabIndex        =   6
      Top             =   2880
      Width           =   735
   End
   Begin VB.Frame Frm 
      Caption         =   "Miscellaneous"
      Height          =   1335
      Index           =   2
      Left            =   120
      TabIndex        =   9
      Top             =   1440
      Width           =   3495
      Begin VB.CheckBox chkminimizedsend 
         Caption         =   "Minimized when message is sent"
         Height          =   375
         Left            =   240
         TabIndex        =   11
         Top             =   720
         Width           =   3015
      End
      Begin VB.CheckBox Popupsend 
         Caption         =   "Pop-up when message is sent"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   360
         Width           =   3015
      End
   End
   Begin VB.CommandButton ResetDefault 
      Caption         =   "Reset"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   2880
      Width           =   735
   End
   Begin VB.Frame Frm 
      Caption         =   "Network option"
      Height          =   1215
      Index           =   1
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   3495
      Begin VB.TextBox ipnumber 
         Height          =   285
         Left            =   1320
         MaxLength       =   15
         TabIndex        =   2
         Top             =   720
         Width           =   1335
      End
      Begin VB.TextBox Portnb 
         Height          =   285
         Left            =   1320
         MaxLength       =   5
         TabIndex        =   1
         Top             =   360
         Width           =   735
      End
      Begin VB.Label lbl 
         Caption         =   "Default IP:"
         Height          =   255
         Index           =   2
         Left            =   240
         TabIndex        =   10
         Top             =   735
         Width           =   975
      End
      Begin VB.Label lbl 
         Caption         =   "Default port :"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   8
         Top             =   375
         Width           =   975
      End
   End
   Begin VB.CommandButton ReturnCmd 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2640
      TabIndex        =   0
      Top             =   2880
      Width           =   975
   End
End
Attribute VB_Name = "OptProg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
   Call setcurrent
   Dim startx As Long, starty As Long
   Call loadstartuppos("Option ", startx, starty, Me.Width, Me.Height)
   Me.Left = startx
   Me.Top = starty
End Sub

Private Sub setcurrent()
   ipnumber.Text = networkip
   Portnb.Text = networkport
   If minimizedwhensend Then
      chkminimizedsend.Value = 1
   Else
      chkminimizedsend.Value = 0
   End If
   If popupwhensend Then
      Popupsend.Value = 1
   Else
      Popupsend.Value = 0
   End If
End Sub

Private Sub setdefault()
   ipnumber.Text = def_networkip
   Portnb.Text = def_networkport
   If def_popupwhensend Then
      Popupsend.Value = 1
   Else
      Popupsend.Value = 0
   End If
   If def_minimizedwhensend Then
      chkminimizedsend.Value = 1
   Else
      chkminimizedsend.Value = 0
   End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call savesettings
   Call savestartuppos("Option ", Me.Left, Me.Top)
End Sub

Private Sub ipnumber_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 46, 48 To 57 'backspace, ., 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub LoadOption_Click()
   Call setcurrent
End Sub

Private Sub Portnb_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 48 To 57 'backspace, 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub ResetDefault_Click()
   Call setdefault
End Sub

Private Sub ReturnCmd_Click()
   Unload Me
End Sub

Private Sub SaveOption_Click()
   Dim retcode As Integer
   Dim goodtempportnb As Long
   Dim goodtempip As String
   
   'check if port is good
   If Not chkportnbisgood(Portnb.Text, goodtempportnb) Then
      retcode = MsgBox("Invalid port number", vbExclamation, "Error")
      Portnb.SetFocus
      Exit Sub
   Else
      networkport = goodtempportnb
   End If
   
   If Popupsend.Value = 1 Then
      popupwhensend = True
   Else
      popupwhensend = False
   End If
   
   If chkminimizedsend.Value = 1 Then
      minimizedwhensend = True
   Else
      minimizedwhensend = False
   End If
   
   'check if ip is good
   If Not chkipisgood(ipnumber.Text, goodtempip) Then
      retcode = MsgBox("Invalid ip address", vbExclamation, "Error")
      ipnumber.SetFocus
      Exit Sub
   Else
      networkip = goodtempip
   End If
   
   Unload Me
End Sub
