VERSION 5.00
Begin VB.Form Identification 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Identification"
   ClientHeight    =   2625
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   3720
   Icon            =   "Ident_S.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2625
   ScaleWidth      =   3720
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton ReturnCmd 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2640
      TabIndex        =   8
      Top             =   2160
      Width           =   975
   End
   Begin VB.CommandButton ResetDefault 
      Caption         =   "Reset"
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   2160
      Width           =   735
   End
   Begin VB.CommandButton SaveOption 
      Caption         =   "Apply"
      Height          =   375
      Left            =   1800
      TabIndex        =   6
      Top             =   2160
      Width           =   735
   End
   Begin VB.CommandButton LoadOption 
      Caption         =   "Load"
      Height          =   375
      Left            =   960
      TabIndex        =   5
      Top             =   2160
      Width           =   735
   End
   Begin VB.Frame frm 
      Caption         =   "User identification"
      Height          =   1935
      Index           =   1
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3495
      Begin VB.TextBox txtmyportnb 
         Height          =   285
         Left            =   240
         MaxLength       =   5
         TabIndex        =   3
         Top             =   1320
         Width           =   1095
      End
      Begin VB.TextBox txtmyident 
         Height          =   285
         Left            =   240
         MaxLength       =   255
         TabIndex        =   1
         Top             =   600
         Width           =   2055
      End
      Begin VB.Label lbl 
         Caption         =   "User reply port:"
         Height          =   255
         Index           =   2
         Left            =   240
         TabIndex        =   4
         Top             =   1080
         Width           =   1935
      End
      Begin VB.Label lbl 
         Caption         =   "User name:"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   2
         Top             =   360
         Width           =   1815
      End
   End
End
Attribute VB_Name = "Identification"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
   txtmyident.MaxLength = maxlenusername
   Call setcurrent
   Dim startx As Long, starty As Long
   Call loadstartuppos("Identification ", startx, starty, Me.Width, Me.Height)
   Me.Left = startx
   Me.Top = starty
End Sub

Private Sub setcurrent()
   txtmyident.Text = myusername
   txtmyportnb.Text = myportnb
End Sub

Private Sub setdefault()
   txtmyident.Text = def_myusername
   txtmyportnb.Text = def_myportnb
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call saveidentification
   Call savestartuppos("Identification ", Me.Left, Me.Top)
End Sub

Private Sub LoadOption_Click()
   Call setcurrent
End Sub

Private Sub txtmyportnb_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 48 To 57 'backspace, 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub ResetDefault_Click()
   Call setdefault
End Sub

Private Sub ReturnCmd_Click()
   Unload Me
End Sub

Private Sub SaveOption_Click()
   Dim retcode As Integer
   Dim goodtempmyportnb As Long
   Dim goodtempmyusername As String
   
   'check if user name is good
   If Not chkusernameisgood(txtmyident.Text, goodtempmyusername) Then
      retcode = MsgBox("Invalid User Name (lenght must be between 1 and " & Trim$(Str$(maxlenusername)) & ")", vbExclamation, "Error")
      txtmyident.SetFocus
      Exit Sub
   Else
      myusername = goodtempmyusername
   End If
   
   'check if port is good
   If Not chkportnbisgood(txtmyportnb.Text, goodtempmyportnb) Then
      retcode = MsgBox("Invalid port number", vbExclamation, "Error")
      txtmyportnb.SetFocus
      Exit Sub
   Else
      myportnb = goodtempmyportnb
   End If
     
   Unload Me
End Sub

