VERSION 5.00
Begin VB.Form Modify_or_add 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "User"
   ClientHeight    =   1050
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4305
   Icon            =   "Modify_or_add_S.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1050
   ScaleWidth      =   4305
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdAddNetworkUser 
      Caption         =   "Add Network User"
      Height          =   375
      Left            =   120
      TabIndex        =   8
      Top             =   600
      Width           =   1695
   End
   Begin VB.TextBox userport 
      Height          =   285
      Left            =   3360
      MaxLength       =   5
      TabIndex        =   3
      Top             =   240
      Width           =   855
   End
   Begin VB.TextBox userip 
      Height          =   285
      Left            =   1920
      MaxLength       =   15
      TabIndex        =   2
      Top             =   240
      Width           =   1335
   End
   Begin VB.TextBox username 
      Height          =   285
      Left            =   120
      MaxLength       =   255
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
   Begin VB.CommandButton cancelsave 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3480
      TabIndex        =   0
      Top             =   600
      Width           =   735
   End
   Begin VB.CommandButton oksave 
      Caption         =   "Save"
      Height          =   375
      Left            =   2640
      TabIndex        =   4
      Top             =   600
      Width           =   735
   End
   Begin VB.Label lbl 
      Caption         =   "Port"
      Height          =   255
      Index           =   2
      Left            =   3360
      TabIndex        =   7
      Top             =   0
      Width           =   615
   End
   Begin VB.Label lbl 
      Caption         =   "Name"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   6
      Top             =   0
      Width           =   1335
   End
   Begin VB.Label lbl 
      Caption         =   "IP number"
      Height          =   255
      Index           =   1
      Left            =   1920
      TabIndex        =   5
      Top             =   0
      Width           =   1095
   End
End
Attribute VB_Name = "Modify_or_add"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cancelsave_Click()
   cancelintheform = True
   Unload Me
End Sub

Private Sub cmdAddNetworkUser_Click()
   Dim addusernetworkip As String, addusernetworkhostname As String
   Dim retcode As Integer
   
   If GetBrowseNetworkWorkstation(addusernetworkip, addusernetworkhostname) Then
      username.Text = addusernetworkhostname
      userip.Text = addusernetworkip
      userport.Text = networkport
   Else
      retcode = MsgBox("Unable to Browse the network", vbExclamation, "Error")
   End If
End Sub

Private Sub Form_Load()
   username.MaxLength = maxlenusername
   username.Text = undereditinguser.username
   userip.Text = undereditinguser.userip
   userport.Text = Str$(undereditinguser.userport)
   If undereditinguser.username = "localhost" Then
      username.Enabled = False
      userip.Enabled = False
   End If
   Dim startx As Long, starty As Long
   Call loadstartuppos("Modify or Add ", startx, starty, Me.Width, Me.Height)
   Me.Left = startx
   Me.Top = starty
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call savestartuppos("Modify or Add ", Me.Left, Me.Top)
End Sub

Private Sub oksave_Click()
   Dim retcode As Integer
   Dim goodtempportnb As Long
   Dim goodtempip As String, goodtempusername As String
   
   'check if user name is good
   If Not chkusernameisgood(username.Text, goodtempusername) Then
      retcode = MsgBox("Invalid User Name (lenght must be between 1 and " & Trim$(Str$(maxlenusername)) & ")", vbExclamation, "Error")
      username.SetFocus
      Exit Sub
   End If
   
   'check if ip is good
   If Not chkipisgood(userip.Text, goodtempip) Then
      retcode = MsgBox("Invalid ip address", vbExclamation, "Error")
      userip.SetFocus
      Exit Sub
   End If
      
   'check for duplicate
   If alreadyinlist(ModifyUser.listuser, goodtempusername, goodtempip) And goodtempusername <> undereditinguser.username Then
      retcode = MsgBox("User Name and IP already in Use", vbExclamation, "Error")
      username.SetFocus
      Exit Sub
   End If
   
   'check if port is good
   If Not chkportnbisgood(userport.Text, goodtempportnb) Then
      retcode = MsgBox("Invalid port number", vbExclamation, "Error")
      userport.SetFocus
      Exit Sub
   End If
   
   undereditinguser.username = goodtempusername
   undereditinguser.userip = goodtempip
   undereditinguser.userport = goodtempportnb
   cancelintheform = False
   Unload Me
End Sub

Private Sub userip_KeyDown(KeyCode As Integer, Shift As Integer)
   Call addcopypaste(userip, KeyCode, Shift)
End Sub

Private Sub userip_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 46, 48 To 57 'backspace, ., 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub userport_KeyDown(KeyCode As Integer, Shift As Integer)
   Call addcopypaste(userport, KeyCode, Shift)
End Sub

Private Sub userport_KeyPress(KeyAscii As Integer)
   Select Case KeyAscii
      Case 8, 48 To 57 'backspace, 0 to 9
      Case Else
         KeyAscii = 0
   End Select
End Sub

Private Sub addcopypaste(textref As TextBox, KeyCode As Integer, Shift As Integer)
   If Shift = 2 And KeyCode = vbKeyV Then
      textref.Text = Clipboard.GetText(1)
   ElseIf Shift = 2 And KeyCode = vbKeyC Then
      Clipboard.SetText textref.Text, 1
   End If
End Sub
