Attribute VB_Name = "ReceiveString"
Option Explicit

Private lpPrevWndProc As Long
Private lHwnd As Long

Private Const GWL_WNDPROC = (-4)
Private Const WM_COPYDATA = &H4A

Private Type COPYDATASTRUCT
    dwData As Long
    cbData As Long
    lpData As Long
End Type
'
'Copies a block of memory from one location to another.
'
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" _
   (hpvDest As Any, hpvSource As Any, ByVal cbCopy As Long)

Private Declare Function CallWindowProc Lib "user32" Alias _
   "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As _
   Long, ByVal Msg As Long, ByVal wParam As Long, ByVal lParam As _
   Long) As Long

Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" _
   (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As _
   Long) As Long
   
Public Sub pHook(ByRef applHwnd As Long)
   '
   ' Sub class the form to trap for Windows messages.
   '
   lHwnd = applHwnd
   lpPrevWndProc = SetWindowLong(lHwnd, GWL_WNDPROC, AddressOf fWindowProc)
End Sub

Private Sub pReceiveMsg(lParam As Long, sString As String)
   Dim cds     As COPYDATASTRUCT
   Dim buf(1 To 255) As Byte
   '
   ' Copy the data sent to this application
   ' into a local structure.
   '
   Call CopyMemory(cds, ByVal lParam, Len(cds))
   '
   ' Copy the string that was passed into a byte array.
   '
   Call CopyMemory(buf(1), ByVal cds.lpData, cds.cbData)
   '
   ' Convert the ASCII byte array back to a Unicode string.
   '
   sString = StrConv(buf, vbUnicode)
   'sString = Left$(sString, InStr(1, sString, Chr$(0)) - 1)
   sString = Left$(sString, InStrRev(sString, Chr$(0)) - 1)
   '
   ' Display the received string.
   '
End Sub

Public Function fWindowProc(ByVal hw As Long, ByVal uMsg As Long, _
         ByVal wParam As Long, ByVal lParam As Long) As Long
   Dim gotmsg As Boolean
   Dim stringreceiced As String
   '
   ' This callback routine is called by Windows whenever
   ' a message is sent to this form.  If it is the copy
   ' message call our procedure to receive the message.
   '
   If uMsg = WM_COPYDATA Then
      gotmsg = True
      Call pReceiveMsg(lParam, stringreceiced)
   Else
      gotmsg = False
   End If
   '
   ' Call the original window procedure associated with this form.
   '
   fWindowProc = CallWindowProc(lpPrevWndProc, hw, uMsg, wParam, lParam)
   If gotmsg Then Call gotreply(stringreceiced)
End Function

Public Sub pUnhook()
   '
   ' Remove the subclassing.
   '
   Call SetWindowLong(lHwnd, GWL_WNDPROC, lpPrevWndProc)
End Sub
