Attribute VB_Name = "SendString"
Option Explicit

Private Const WM_COPYDATA = &H4A

Private Type COPYDATASTRUCT
    dwData As Long
    cbData As Long
    lpData As Long
End Type

Private Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long

Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
'
'Copies a block of memory from one location to another.
'
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (hpvDest As Any, hpvSource As Any, ByVal cbCopy As Long)

Public Sub cmdSend(ByRef hwndapp As Long, ByRef WindowNameReceiver As String, ByRef sString As String, anyerror As Integer)
   Dim lHwnd   As Long
   Dim cds     As COPYDATASTRUCT
   Dim buf(1 To 255) As Byte
   
   On Error GoTo errorhandler
   
   If Len(sString) = 0 Then
      anyerror = 2 'No data to send
      Exit Sub
   End If
   '
   ' Get the handle of the target application.
   '
   lHwnd = FindWindow(vbNullString, WindowNameReceiver)
   If lHwnd = 0 Then
      anyerror = 1 'No sender open
      Exit Sub
   End If
   
   '
   ' Copy the string into a byte array,
   ' converting it to ASCII. Assign lpData
   ' the address of the byte array.
   '
   Call CopyMemory(buf(1), ByVal sString, Len(sString))
   With cds
       .dwData = 3
       .cbData = Len(sString) + 1
       .lpData = VarPtr(buf(1))
   End With
   '
   ' Send the string.
   '
   Call SendMessage(lHwnd, WM_COPYDATA, hwndapp, cds)
   
   anyerror = 0
   On Error GoTo 0
   Exit Sub
   
errorhandler:
   anyerror = 3 'A error occured
   Exit Sub
End Sub
